UpdateProject
Updates the specified project with the information in the request body.
PATCH
/
v1
/
namespaces
/
{object.tenant_meta.namespace}
/
projects
UpdateProject
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/projects \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"processing_status": {
"analytic_time": "2023-11-07T05:31:56Z",
"deactivated": true,
"disable_automated_scan": true,
"metadata": {
"full_history_scan_time": "2023-11-07T05:31:56Z"
},
"queue_time": "2023-11-07T05:31:56Z",
"scan_state": "SCAN_STATE_UNSPECIFIED",
"scan_time": "2023-11-07T05:31:56Z"
},
"tenant_meta": {}
},
"request": {
"force": true,
"update_mask": "<string>"
}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/projects"
payload = {
"object": {
"processing_status": {
"analytic_time": "2023-11-07T05:31:56Z",
"deactivated": True,
"disable_automated_scan": True,
"metadata": { "full_history_scan_time": "2023-11-07T05:31:56Z" },
"queue_time": "2023-11-07T05:31:56Z",
"scan_state": "SCAN_STATE_UNSPECIFIED",
"scan_time": "2023-11-07T05:31:56Z"
},
"tenant_meta": {}
},
"request": {
"force": True,
"update_mask": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
object: {
processing_status: {
analytic_time: '2023-11-07T05:31:56Z',
deactivated: true,
disable_automated_scan: true,
metadata: {full_history_scan_time: '2023-11-07T05:31:56Z'},
queue_time: '2023-11-07T05:31:56Z',
scan_state: 'SCAN_STATE_UNSPECIFIED',
scan_time: '2023-11-07T05:31:56Z'
},
tenant_meta: {}
},
request: {force: true, update_mask: '<string>'}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"platform_source": "PLATFORM_SOURCE_UNSPECIFIED",
"git": {
"http_clone_url": "<string>",
"external_installation_id": "<string>",
"full_name": "<string>",
"git_clone_url": "<string>",
"invalid_installation": true,
"organization": "<string>",
"path": "<string>",
"web_url": "<string>"
},
"ingestion_token": "<string>",
"internal_reference_key": "<string>",
"is_archived": true,
"model": {
"full_name": "<string>",
"external_installation_id": "<string>",
"http_clone_url": "<string>",
"provider": "AI_MODEL_PROVIDER_UNSPECIFIED"
},
"sbom": {
"kind": "SBOM_KIND_UNSPECIFIED",
"main_component_purl": "<string>"
},
"scan_profile_uuid": "<string>",
"toolchain_profile_uuid": "<string>",
"unsupported": {
"name": "<string>"
}
},
"processing_status": {
"analytic_time": "2023-11-07T05:31:56Z",
"deactivated": true,
"disable_automated_scan": true,
"metadata": {
"full_history_scan_time": "2023-11-07T05:31:56Z"
},
"queue_time": "2023-11-07T05:31:56Z",
"scan_state": "SCAN_STATE_UNSPECIFIED",
"scan_time": "2023-11-07T05:31:56Z"
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
application/json
Response
A successful response.
Logical root object that serves as the basis for organizing and managing all information related to a repository.
A project corresponds to a repository.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
The unique identifier of the project.
Was this page helpful?
⌘I
UpdateProject
